/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@EnableJpaAuditing
@EnableEurekaClient
@EnableDiscoveryClient
@SpringBootApplication
@ComponentScan(basePackages = {"cn.com.qmth.examcloud"})
@EntityScan(basePackages = {"cn.com.qmth.examcloud"})
@EnableJpaRepositories(basePackages = {"cn.com.qmth.examcloud"})
public class ApiApplication {

    static {
        String runtimeLevel = System.getProperty("log.commonLevel");
        if (null == runtimeLevel) {
            System.setProperty("log.commonLevel", "INFO");
        }
        System.setProperty("hibernate.dialect.storage_engine", "innodb");
    }

    public static void main(String[] args) {
        //SpringApplication.run(ApiApplication.class, args);
        AppBootstrap.run(ApiApplication.class, args);
    }

}