package cn.com.qmth.examcloud.app.controller;

import static cn.com.qmth.examcloud.app.model.Constants.PARAM_APP_KEY;
import static cn.com.qmth.examcloud.app.model.Constants.PARAM_APP_TOKEN;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.CoreOeService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("${$rmp}/v2/exam")
@Api(tags = "考试相关接口")
public class ExamController extends ControllerSupport {

    @Autowired
    private CoreOeService oeService;

	@ApiOperation(value = "查询考生的考试批次属性集")
	@GetMapping("getExamProperty/{examId}/{keys}")
	public Result getExamPropertyFromCacheByStudentSession(@RequestHeader(name = PARAM_APP_KEY) String key, @RequestHeader(name = PARAM_APP_TOKEN) String token,@PathVariable Long examId,
			@PathVariable String keys) throws Exception{
	    return oeService.getExamPropertyFromCacheByStudentSession(key, token, examId, keys);
	}


}
