package cn.com.qmth.examcloud.app.core.config;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.commons.exception.StatusException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ResponseBody
@ControllerAdvice
public class ControllerAdviceHandler {

    private final static Logger log = LoggerFactory.getLogger(ControllerAdviceHandler.class);

    @ResponseBody
    @ExceptionHandler(value = RuntimeException.class)
    public Result handle(RuntimeException e) {
        log.error(e.getMessage(), e);
        return new Result().error(e.getMessage());
    }

    @ResponseBody
    @ExceptionHandler(value = Exception.class)
    public Result handle(Exception e) {
        log.error(e.getMessage(), e);
        return new Result().error(e.getMessage());
    }

    @ResponseBody
    @ExceptionHandler(value = StatusException.class)
    public Result handle(StatusException e) {
        log.error(e.getMessage(), e);
        return new Result().error(e.getMessage());
    }

}