/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-20 14:15:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 请求拦截器
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {

    @Bean
    public AccessInterceptor accessInterceptor() {
        return new AccessInterceptor();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 拦截器PathPatterns通配符为两个"*"
        String[] excludes = new String[]{"/", "/error", "/webjars/**", "/doc.html", "/api/app-api/device/record/list"};
        registry.addInterceptor(accessInterceptor()).addPathPatterns("/api/**").excludePathPatterns(excludes);
    }

}