package cn.com.qmth.examcloud.app.core.router;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

public class Router implements Serializable {

    @ApiModelProperty(value = "服务名", example = "BASIC、EXAMWORK、OE_ADMIN、OE_STUDENT、QUESTION", required = true)
    private Server server;

    @ApiModelProperty(value = "URL地址", example = "/abc/1", required = true)
    private String url;

    @ApiModelProperty(value = "请求方式", example = "GET、POST、PUT、DELETE", required = true)
    private Method method;

    @ApiModelProperty(value = "请求Headers", example = "{'abc':'123'}", required = false)
    private Map<String, String> headers;

    @ApiModelProperty(value = "请求Params", example = "{'abc':'123'}", required = false)
    private Map<String, String> params;

    @ApiModelProperty(value = "请求Body", example = "JSON", required = false)
    private String body;

    @ApiModelProperty(value = "认证Key", required = false, hidden = true)
    private String key;

    @ApiModelProperty(value = "认证Token", required = false, hidden = true)
    private String token;

    public Server getServer() {
        return server;
    }

    public void setServer(Server server) {
        this.server = server;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Method getMethod() {
        return method;
    }

    public void setMethod(Method method) {
        this.method = method;
    }

    public Map<String, String> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

}