/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-18 14:25:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DateUtils {
    private static Logger log = LoggerFactory.getLogger(DateUtils.class);

    private static final String fmt = "yyyy-MM-dd HH:mm:ss";

    public static String formatLongDate(String longStr) {
        try {
            Long value = Long.parseLong(longStr);
            Date date = new Date(value);
            return new SimpleDateFormat(fmt).format(date);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return longStr;
        }
    }

    public static String format(Date date) {
        try {
            return new SimpleDateFormat(fmt).format(date);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return null;
        }
    }

}