/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 16:38:13.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.utils;

import okhttp3.OkHttpClient;

/**
 * HttpClient单例对象
 *
 * @author: fengdesheng
 * @since: 2018/8/1
 */
public class HttpClientBuilder {
    private static OkHttpClient client;

    static {
        client = Singleton.INSTANCE.getInstance();
    }

    public static OkHttpClient getClient() {
        return client;
    }

    private enum Singleton {
        /**
         * Http Client Instance
         */
        INSTANCE;

        private OkHttpClient instance;

        Singleton() {
            instance = new OkHttpClient();
        }

        public OkHttpClient getInstance() {
            return instance;
        }
    }

}