/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-23 15:05:46.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.utils;

import org.apache.commons.codec.digest.DigestUtils;

import java.util.Random;
import java.util.UUID;

public class StrUtils {
    private static Random random = new Random();

    public static String uuid() {
        return UUID.randomUUID().toString().replaceAll("-", "");
    }

    public static Integer randomNumber() {
        return randomNumber(100000, 999999);
    }

    public static int randomNumber(int min, int max) {
        return random.nextInt(max) % (max - min + 1) + min;
    }

    /**
     * 校验手机号码格式
     */
    public static boolean isMobile(String str) {
        return check(str, "^[1][3,4,5,6,7,8,9][0-9]{9}$");
    }

    public static boolean check(String str, String reg) {
        if (str != null && str.matches(reg)) {
            return true;
        }
        return false;
    }

    /**
     * 将字符串MD5
     */
    public static String md5Key(String str) {
        if (str == null) {
            return null;
        }
        //MD5后字符串长度默认32位
        return DigestUtils.md5Hex(str);
    }

}