package cn.com.qmth.examcloud.app.core.utils;

import com.google.common.collect.Maps;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;
import java.util.UUID;

/**
 * 线程工具
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
public class ThreadUtils {

    /**
     * 属性注释
     */
    private static final ThreadLocal<String> LOCAL_TRACE_ID = new ThreadLocal<String>() {
        @Override
        public String initialValue() {
            return null;
        }
    };

    /**
     * 属性注释
     */
    private static final ThreadLocal<Map<String, Object>> LOCAL_TRACE_MAP = new ThreadLocal<Map<String, Object>>() {
        @Override
        public Map<String, Object> initialValue() {
            return null;
        }
    };

    /**
     * 重新初始化
     */
    public static String next() {
        LOCAL_TRACE_MAP.set(null);
        String traceID = UUID.randomUUID().toString().replace("-", "");
        setTraceID(traceID);
        return traceID;
    }

    /**
     * 方法注释
     */
    public static String getTraceID() {
        String traceID = LOCAL_TRACE_ID.get();
        if (traceID == null) {
            traceID = next();
        } else {
            return traceID;
        }

        return traceID;
    }

    /**
     * 方法注释
     */
    public static void setTraceID(String traceID) {
        if (!(StringUtils.isNotBlank(traceID)))
            return;
        LOCAL_TRACE_ID.set(traceID);
    }

    /**
     * 方法注释
     */
    public static void set(String key, Object value) {
        Map<String, Object> map = LOCAL_TRACE_MAP.get();

        if (null == map) {
            map = Maps.newHashMap();
            LOCAL_TRACE_MAP.set(map);
        }
        map.put(key, value);
    }

    /**
     * 方法注释
     */
    public static Object get(String key) {
        Map<String, Object> map = LOCAL_TRACE_MAP.get();
        if (null == map) {
            return null;
        }
        return map.get(key);
    }

}