/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

/**
 * 系统常量
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
public interface Constants {

    /**
     * APP端的Token默认过期时间(秒)
     * 默认一个月
     */
    int APP_SESSION_EXPIRE_TIME = 3600 * 24 * 30;

    /**
     * APP端用户登录信息的redis key前缀
     */
    String APP_SESSION_USER_KEY_PREFIX = "APP:SESSION_";

    /**
     * 平台端的Token默认过期时间(秒)
     * 默认一小时
     */
    int PLATFORM_SESSION_EXPIRE_TIME = 3600;

    /**
     * 平台端的Token默认过期时间的redis key
     */
    String PLATFORM_SESSION_TIMEOUT_KEY = "$_SESSION_TIMEOUT";

    /**
     * 请求格式与默认编码集
     */
    String CHARSET_JSON_UTF8 = "application/json; charset=utf-8";

    /* 默认请求的Header参数 */
    String PARAM_KEY = "key";
    String PARAM_TOKEN = "token";
    String PARAM_APP_KEY = "app_key";
    String PARAM_APP_TOKEN = "app_token";
    String PARAM_DEVICE_ID = "deviceId";
    String PARAM_TRACE_ID = "TRACE_ID";
    String PARAM_CLIENT = "$spring_cloud_client";
    String PARAM_CLIENT_VALUE = "-";

    String PARAM_ROOT_ORG_ID = "rootOrgId";
    String PARAM_ACCOUNT_TYPE = "accountType";
    String PARAM_ACCOUNT = "account";
    String PARAM_PSW = "password";

    /* 常用的文件类型 */
    String FILE_TYPE_ZIP = "zip";
    String FILE_TYPE_PDF = "pdf";

    /* 系统状态码 */
    String CODE_0 = "0";//错误
    String CODE_200 = "200";//成功
    String CODE_500 = "500";//失败
    String CODE_403 = "403";//认证失败
    String CODE_404 = "404";//请求地址不存在
    String CODE_P001012 = "P-001012";//认证失败
    String CODE_B001012 = "B-001012";//认证失败

}