/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-20 09:57:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 设备访问记录
 * 注：用于记录APP端调用接口时header中附带来源信息
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
@Entity
@Table(name = "app_device_record")
public class DeviceRecord extends IdEntity {
    @Column(length = 50)
    private String system;//系统标识，如：ios，android
    @Column(length = 50)
    private String deviceId;//设备编号
    @Column(length = 50)
    private String netType;//网络类型，如：WIFI，GPRS，2G，3G，4G，5G
    @Column(length = 50)
    private String brand;//设备品牌，如：iPhone，小米，华为
    @Column(length = 50)
    private String model;//型号，如：iPhone6 plus
    @Column(length = 50)
    private String sysVersion;//系统版本号，如：android6.0，ios11.0.2
    @Column(length = 50)
    private String appVersion;//app版本号，如：1.0.1，2.0.0
    @Column(length = 50)
    private String appCode;//app更新号[整数]
    @Column(length = 50)
    private String patchCode;//app补丁号
    @Column(length = 50)
    private String account;//来源账号(登录名或手机号)
    @Column(length = 50)
    private String loginKey;//登录认证KEY
    @Column(length = 50)
    private String loginToken;//登录认证TOKEN
    @Column(length = 300)
    private String url;//访问地址
    @Column(length = 50)
    private String ip;//访问IP
    private Date createDate;//创建时间

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getNetType() {
        return netType;
    }

    public void setNetType(String netType) {
        this.netType = netType;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSysVersion() {
        return sysVersion;
    }

    public void setSysVersion(String sysVersion) {
        this.sysVersion = sysVersion;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getPatchCode() {
        return patchCode;
    }

    public void setPatchCode(String patchCode) {
        this.patchCode = patchCode;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getLoginKey() {
        return loginKey;
    }

    public void setLoginKey(String loginKey) {
        this.loginKey = loginKey;
    }

    public String getLoginToken() {
        return loginToken;
    }

    public void setLoginToken(String loginToken) {
        this.loginToken = loginToken;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}