/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:29:12.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;

/**
 * 考务业务服务接口
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public interface CoreExamWorkService {

    /**
     * 获取某考生的“考试批次”列表
     *
     * @param key
     * @param token
     * @param studentId
     * @return
     * @throws Exception
     */
    Result getPracticeExamList(String key, String token, String studentId) throws Exception;

    /**
     * 获取当前练习的考试基本信息
     *
     * @param key
     * @param token
     * @param examId
     * @return
     * @throws Exception
     */
    Result getExamInfo(String key, String token, Long examId) throws Exception;

    /**
     * 查询考试说明
     *
     * @param key
     * @param token
     * @param examId
     * @return
     * @throws Exception
     */
    Result getBeforeExamRemark(String key, String token, Long examId, String type) throws Exception;

    /**
     * 获取冻结时间
     *
     * @param key
     * @param token
     * @param examId
     * @return
     * @throws Exception
     */
    Result getFreezeTime(String key, String token, Long examId) throws Exception;

    /**
     * 获取文件上传类型
     *
     * @param key
     * @param token
     * @param examId
     * @return
     * @throws Exception
     */
    Result getUpLoadType(String key, String token, Long examId) throws Exception;

}