/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:34:46.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;

/**
 * 题库业务服务接口
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public interface CoreQuestionService {

    /**
     * 下载考题
     *
     * @param paperId
     * @param orgName
     * @return
     * @throws Exception
     */
    String downloadPaper(String key, String token, String paperId, String orgName) throws Exception;

    /**
     * 获取某份试卷的详细信息
     *
     * @param key
     * @param token
     * @param paperId
     * @return
     * @throws Exception
     */
    Result getPaperDetail(String key, String token, String paperId) throws Exception;

    /**
     * 获取某个试题的详细信息
     *
     * @param key
     * @param token
     * @return
     * @throws Exception
     */
    Result getQuestion(String key, String token, String courseCode, Long examId, String groupCode, String questionId) throws Exception;

}