(function ($) {
    var ms = {
        init: function (obj, args) {
            obj.unbind();
            return (function () {
                ms.fillHtml(obj, args);
                ms.bindEvent(obj, args);
            })();
        },
        fillHtml: function (obj, args) {
            return (function () {
                obj.empty();
                if (args.totalPages > 0) {
                    /* 上一页 */
                    if (args.current > 1) {
                        obj.append('<li><a href="#" curId="prevPage">&laquo;</a></li>');
                    } else {
                        obj.append('<li class="disabled"><a>&laquo;</a></li>');
                    }
                    /* 中间页 */
                    if (args.current != 1 && args.current >= 4 && args.totalPages != 4) {
                        obj.append('<li><a href="#" curId="curNumber">1</a></li>');
                    }
                    if (args.current - 2 > 2 && args.current <= args.totalPages && args.totalPages > 5) {
                        obj.append('<li><a>…</a></li>');
                    }
                    var start = args.current - 2, end = args.current + 2;
                    if ((start > 1 && args.current < 4) || args.current == 1) {
                        end++;
                    }
                    if (args.current > args.totalPages - 4 && args.current >= args.totalPages) {
                        start--;
                    }
                    for (; start <= end; start++) {
                        if (start <= args.totalPages && start >= 1) {
                            if (start != args.current) {
                                obj.append('<li><a href="#" curId="curNumber">' + start + '</a></li>');
                            } else {
                                obj.append('<li class="active"><a>' + start + '</a></li>');
                            }
                        }
                    }
                    if (args.current + 2 < args.totalPages - 1 && args.current >= 1 && args.totalPages > 5) {
                        obj.append('<li><a>…</a></li>');
                    }
                    if (args.current != args.totalPages && args.current < args.totalPages - 2 && args.totalPages != 4) {
                        obj.append('<li><a href="#" curId="curNumber">' + args.totalPages + '</a></li>');
                    }
                    /* 下一页 */
                    if (args.current < args.totalPages) {
                        obj.append('<li><a href="#" curId="nextPage">&raquo;</a></li>');
                    } else {
                        obj.append('<li class="disabled"><a>&raquo;</a></li>');
                    }
                }
                obj.append('<li class="disabled"><a>共 ' + args.totalElements + ' 条，共 ' + args.totalPages + ' 页</a></li>');
            })();
        },
        /* 绑定事件 */
        bindEvent: function (obj, args) {
            return (function () {
                obj.on("click", "a[curId=curNumber]", function () {
                    var current = parseInt($(this).text());
                    ms.fillHtml(obj, {"current": current, "totalPages": args.totalPages});
                    if (typeof(args.backFn) == "function") {
                        args.backFn(current);
                    }
                });
                /* 上一页 */
                obj.on("click", "a[curId=prevPage]", function () {
                    var current = parseInt(obj.children("li.active").text());
                    ms.fillHtml(obj, {"current": current - 1, "totalPages": args.totalPages});
                    if (typeof(args.backFn) == "function") {
                        args.backFn(current - 1);
                    }
                });
                /* 下一页 */
                obj.on("click", "a[curId=nextPage]", function () {
                    var current = parseInt(obj.children("li.active").text());
                    ms.fillHtml(obj, {"current": current + 1, "totalPages": args.totalPages});
                    if (typeof(args.backFn) == "function") {
                        args.backFn(current + 1);
                    }
                });
            })();
        }
    };

    $.fn.createPage = function (options) {
        var args = $.extend({
            totalElements: 0,
            totalPages: 0,
            current: 1,
            backFn: function () {
            }
        }, options);
        ms.init(this, args);
    };
})(jQuery);