<#assign base=request.contextPath>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <title>设备访问记录</title>
    <meta name="renderer" content="webkit"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link href="${base}/api/app-api/styles/bootstrap/css/bootstrap.min.css" rel="stylesheet"/>
    <style type="text/css">
        input {
            margin-bottom: 10px;
        }

        span {
            margin-right: 15px;
        }

        .pagination > li > a {
            border: 0;
        }
    </style>
</head>
<body>
<h3 style="margin-left: 12px">设备访问记录</h3>
<div class="panel panel-default" style="padding: 10px 10px 0px 10px">
    <div class="btn-group">
        <input type="text" class="form-control" id="url" placeholder="访问地址"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="system" placeholder="系统标识"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="deviceId" placeholder="设备编号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="netType" placeholder="网络类型"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="brand" placeholder="设备品牌"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="model" placeholder="型号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="sysVersion" placeholder="系统版本号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="appVersion" placeholder="APP版本号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="appCode" placeholder="APP更新号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="patchCode" placeholder="APP补丁号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="account" placeholder="来源账号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="loginKey" placeholder="KEY"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="loginToken" placeholder="TOKEN"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="ip" placeholder="IP"/>
    </div>
    <div class="btn-group">
        <a href="#" class="btn btn-primary" onclick="doSearch()" style="margin-bottom: 10px"> 搜索</a>
    </div>
    <table class="table">
        <thead>
        <tr>
            <th style="width: 150px">操作时间</th>
            <th>操作内容</th>
        </tr>
        </thead>
        <tbody id="contentTable"></tbody>
    </table>
    <div style="text-align: right;margin: 0;padding: 0">
        <ul id="contentPage" class="pagination"></ul>
    </div>
</div>

<script src="${base}/api/app-api/styles/jquery/jquery-1.9.1.min.js"></script>
<script src="${base}/api/app-api/page.js?v=20180801"></script>
<script type="text/javascript">
    var basePath = '${base!}/api/app-api';
    var curPageSize = 10;

    $(function () {
        loadData(1);
    });

    function doSearch() {
        loadData(1);
    }

    function loadData(curPageNo) {
        var params = {};
        params.url = $('#url').val();
        params.system = $('#system').val();
        params.deviceId = $('#deviceId').val();
        params.netType = $('#netType').val();
        params.brand = $('#brand').val();
        params.model = $('#model').val();
        params.sysVersion = $('#sysVersion').val();
        params.appVersion = $('#appVersion').val();
        params.appCode = $('#appCode').val();
        params.patchCode = $('#patchCode').val();
        params.account = $('#account').val();
        params.loginKey = $('#loginKey').val();
        params.loginToken = $('#loginToken').val();
        params.ip = $('#ip').val();
        params.pageSize = curPageSize;
        params.pageNo = curPageNo;

        $("#contentTable").empty();
        $("#contentPage").empty();
        $.ajax({
            url: basePath + '/device/record/list?key=${key!}&token=${token!}',
            contentType: "application/json; charset=UTF-8",
            dataType: "json",
            type: "POST",
            data: JSON.stringify(params),
            success: function (response) {
                if (!response || response.code != '200') {
                    console.error(response);
                    return;
                }
                var page = response.data;
                var list = render(page.content);
                $("#contentTable").html(list);

                $("#contentPage").createPage({
                    totalElements: page.totalElements,
                    totalPages: page.totalPages,
                    current: curPageNo,
                    backFn: function (current) {
                        loadData(current);
                    }
                });
            }
        });
    }

    function render(list) {
        var html = [];
        if (!list || list.length == 0) {
            return html.join('');
        }
        for (var n = 0; n < list.length; n++) {
            var obj = list[n];
            if (n % 2 == 0) {
                html.push('<tr>');
            } else {
                html.push('<tr style="background-color:#eef1f6">');
            }
            html.push('<td style="vertical-align: middle;text-align: center;">');
            html.push(emptyStr(obj.createDate) + '</br>' + emptyStr(obj.ip));
            html.push('</td>');
            html.push('<td>');
            html.push('<span>访问地址：' + emptyStr(obj.url) + '</span>');
            html.push('<span>KEY：' + emptyStr(obj.loginKey) + '</span>');
            html.push('<span>TOKEN：' + emptyStr(obj.loginToken) + '</span></br>');
            html.push('<span>来源账号：' + emptyStr(obj.account) + '</span>');
            html.push('<span>系统标识：' + emptyStr(obj.system) + '</span>');
            html.push('<span>设备编号：' + emptyStr(obj.deviceId) + '</span>');
            html.push('<span>网络类型：' + emptyStr(obj.netType) + '</span>');
            html.push('<span>设备品牌：' + emptyStr(obj.brand) + '</span>');
            html.push('<span>型号：' + emptyStr(obj.model) + '</span>');
            html.push('<span>系统版本号：' + emptyStr(obj.sysVersion) + '</span>');
            html.push('<span>APP版本号：' + emptyStr(obj.appVersion) + '</span>');
            html.push('<span>APP更新号：' + emptyStr(obj.appCode) + '</span>');
            html.push('<span>APP补丁号：' + emptyStr(obj.patchCode) + '</span>');
            html.push('</td>');
            html.push('</tr>');
        }
        return html.join('');
    }

    function emptyStr(str) {
        if (!str || str == null) {
            return "-";
        }
        return str;
    }
</script>
</body>
</html>